Name:           kio-clipboard
Version:        0.2.5
Release:        %{mkrel 3}
Summary:        KDE IO Slave for file based access of clipboard entries

Group:          Graphical desktop/KDE
License:        GPLv2+
Source:         %name-%version.tar.bz2
Url:            http://kde-apps.org/content/show.php/kio-clipboard?content=143976

BuildRequires:  kdebase4-workspace-devel
BuildRequires:  qjson-devel

%description
kio_clipboard implements kio-slaves, plugins for KDEs io system. It makes the
content of clipboards available inside file management. That means you can
access the clipboards entries using standard file dialogs like 'File open' or
'Save File', you even can use a file browser and access entries. In general
you can use the slaves wherever you can use an url inside KDE to get access to
the clipboards content. There are no temporary files generated.

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%files
%defattr(-,root,root)
%doc AUTHORS CHANGELOG
%{_kde_libdir}/kde4/kio_clipboard.so
%{_kde_libdir}/kde4/kio_klipper.so
%{_kde_datadir}/kde4/services/clipboard.protocol
%{_kde_datadir}/kde4/services/klipper.protocol



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.5-3.mga4
+ Revision: 506659
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.2.5-2.mga3
+ Revision: 356231
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 24 2011 juancho <juancho> 0.2.5-1.mga2
+ Revision: 135115
- Adjusted mkrel
- Adjusted mkrel to 1 because of new version.

  + gejo <gejo>
    - Update Group section
    - update app version and added BuilRequires qjson-devel
    - Change Group in SPEC
    - Added defattr section
    - imported package kio-clipboard

  + dmorgan <dmorgan>
    - Clean spec file


* Fri Aug 12 2011 Gerardo Bueno
- Mageia repository
* Sun Aug 07 2011 Christian Reiner: version 0.2.2
- new structure for source file collection
- slightly optimized icons by usage of overlays (for kde>=4.5)
- fixed 'delete item' action not to delte the target file points to (!)
- preparations for translation (i18n)
- implementation of the 'copyToFile' feature for protocols
- implementation of the 'copyFromFile' feature for protocols
  + for human readable files the content will copied to the clipboard instead of the url or path
  + for all other files or files that exceed the clipboard entries size limit a linking of the url/path is offered instead
  + the user can chose to accept or cancel
* Sat Jul 30 2011 Christian Reiner: version 0.2.1
- changed technical names of virtual nodes from a numeric index to a check sum
  this fixes addressing the wrong node after changes to the clipboard that were not reflected in an ambedding application
- additional content semantics 'Empty', since such content is not really 'Text'
* Fri Jul 29 2011 Christian Reiner: version 0.2.0
- complete rewrite of the internal storage structure
- fixed display name of clipboard folders not to vanish when being clicked
* Tue Jul 27 2011 Christian Reiner: version 0.1
- initial (and buggy) release
- publication on kde-apps.org